/*     */ package org.apache.batik.css.dom;
/*     */ 
/*     */ import java.util.HashMap;
/*     */ import java.util.Map;
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.CSSStylableElement;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.w3c.dom.DOMException;
/*     */ import org.w3c.dom.css.CSSRule;
/*     */ import org.w3c.dom.css.CSSStyleDeclaration;
/*     */ import org.w3c.dom.css.CSSValue;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSOMComputedStyle
/*     */   implements CSSStyleDeclaration
/*     */ {
/*     */   protected CSSEngine cssEngine;
/*     */   protected CSSStylableElement element;
/*     */   protected String pseudoElement;
/*     */   protected Map values;
/*     */   
/*     */   public CSSOMComputedStyle(CSSEngine e, CSSStylableElement elt, String pseudoElt) {
/*  58 */     this.values = new HashMap();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  66 */     this.cssEngine = e;
/*  67 */     this.element = elt;
/*  68 */     this.pseudoElement = pseudoElt;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getCssText() {
/*  76 */     StringBuffer sb = new StringBuffer();
/*  77 */     for (int i = 0; i < this.cssEngine.getNumberOfProperties(); i++) {
/*  78 */       sb.append(this.cssEngine.getPropertyName(i));
/*  79 */       sb.append(": ");
/*  80 */       sb.append(this.cssEngine.getComputedStyle(this.element, this.pseudoElement, i).getCssText());
/*     */       
/*  82 */       sb.append(";\n");
/*     */     } 
/*  84 */     return sb.toString();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  93 */   public void setCssText(String cssText) throws DOMException { throw new DOMException((short)7, ""); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String getPropertyValue(String propertyName) {
/* 101 */     int idx = this.cssEngine.getPropertyIndex(propertyName);
/* 102 */     if (idx == -1) {
/* 103 */       return "";
/*     */     }
/* 105 */     Value v = this.cssEngine.getComputedStyle(this.element, this.pseudoElement, idx);
/* 106 */     return v.getCssText();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public CSSValue getPropertyCSSValue(String propertyName) {
/* 114 */     CSSValue result = (CSSValue)this.values.get(propertyName);
/* 115 */     if (result == null) {
/* 116 */       int idx = this.cssEngine.getPropertyIndex(propertyName);
/* 117 */       if (idx != -1) {
/* 118 */         result = createCSSValue(idx);
/* 119 */         this.values.put(propertyName, result);
/*     */       } 
/*     */     } 
/* 122 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 130 */   public String removeProperty(String propertyName) { throw new DOMException((short)7, ""); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 138 */   public String getPropertyPriority(String propertyName) { return ""; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 147 */   public void setProperty(String propertyName, String value, String prio) throws DOMException { throw new DOMException((short)7, ""); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 155 */   public int getLength() { return this.cssEngine.getNumberOfProperties(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String item(int index) {
/* 163 */     if (index < 0 || index >= this.cssEngine.getNumberOfProperties()) {
/* 164 */       return "";
/*     */     }
/* 166 */     return this.cssEngine.getPropertyName(index);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 175 */   public CSSRule getParentRule() { return null; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 182 */   protected CSSValue createCSSValue(int idx) { return new ComputedCSSValue(this, idx); }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class ComputedCSSValue
/*     */     extends CSSOMValue
/*     */     implements CSSOMValue.ValueProvider
/*     */   {
/*     */     protected int index;
/*     */ 
/*     */ 
/*     */     
/*     */     private final CSSOMComputedStyle this$0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ComputedCSSValue(CSSOMComputedStyle this$0, int idx) {
/* 201 */       super(null); this.this$0 = this$0;
/* 202 */       this.valueProvider = this;
/* 203 */       this.index = idx;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 210 */     public Value getValue() { return this.this$0.cssEngine.getComputedStyle(this.this$0.element, this.this$0.pseudoElement, this.index); }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\dom\CSSOMComputedStyle.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */