/*     */ package org.apache.batik.css.dom;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.w3c.dom.css.CSSRule;
/*     */ import org.w3c.dom.css.CSSValue;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSOMSVGStyleDeclaration
/*     */   extends CSSOMStyleDeclaration
/*     */ {
/*     */   protected CSSEngine cssEngine;
/*     */   
/*     */   public CSSOMSVGStyleDeclaration(CSSOMStyleDeclaration.ValueProvider vp, CSSRule parent, CSSEngine eng) {
/*  49 */     super(vp, parent);
/*  50 */     this.cssEngine = eng;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected CSSValue createCSSValue(String name) {
/*  57 */     int idx = this.cssEngine.getPropertyIndex(name);
/*  58 */     if (idx > 59) {
/*  59 */       if (this.cssEngine.getValueManagers()[idx] instanceof org.apache.batik.css.engine.value.svg.SVGPaintManager) {
/*  60 */         return new StyleDeclarationPaintValue(this, name);
/*     */       }
/*  62 */       if (this.cssEngine.getValueManagers()[idx] instanceof org.apache.batik.css.engine.value.svg.SVGColorManager) {
/*  63 */         return new StyleDeclarationColorValue(this, name);
/*     */       }
/*     */     } else {
/*  66 */       switch (idx) {
/*     */         case 15:
/*     */         case 45:
/*  69 */           return new StyleDeclarationPaintValue(this, name);
/*     */         
/*     */         case 19:
/*     */         case 33:
/*     */         case 43:
/*  74 */           return new StyleDeclarationColorValue(this, name);
/*     */       } 
/*     */     } 
/*  77 */     return super.createCSSValue(name);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class StyleDeclarationColorValue
/*     */     extends CSSOMSVGColor
/*     */     implements CSSOMSVGColor.ValueProvider
/*     */   {
/*     */     protected String property;
/*     */ 
/*     */ 
/*     */     
/*     */     private final CSSOMSVGStyleDeclaration this$0;
/*     */ 
/*     */ 
/*     */     
/*     */     public StyleDeclarationColorValue(CSSOMSVGStyleDeclaration this$0, String prop) {
/*  96 */       super(null); this.this$0 = this$0;
/*  97 */       this.valueProvider = this;
/*  98 */       setModificationHandler(new CSSOMSVGStyleDeclaration$1(this));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 113 */       this.property = prop;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 122 */     public Value getValue() { return this.this$0.valueProvider.getValue(this.property); }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class StyleDeclarationPaintValue
/*     */     extends CSSOMSVGPaint
/*     */     implements CSSOMSVGColor.ValueProvider
/*     */   {
/*     */     protected String property;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     private final CSSOMSVGStyleDeclaration this$0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public StyleDeclarationPaintValue(CSSOMSVGStyleDeclaration this$0, String prop) {
/* 144 */       super(null); this.this$0 = this$0;
/* 145 */       this.valueProvider = this;
/* 146 */       setModificationHandler(new CSSOMSVGStyleDeclaration$2(this));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 161 */       this.property = prop;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 170 */     public Value getValue() { return this.this$0.valueProvider.getValue(this.property); }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\dom\CSSOMSVGStyleDeclaration.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */