/*     */ package org.apache.batik.css.engine.sac;
/*     */ 
/*     */ import org.w3c.css.sac.AttributeCondition;
/*     */ import org.w3c.css.sac.CSSException;
/*     */ import org.w3c.css.sac.CombinatorCondition;
/*     */ import org.w3c.css.sac.Condition;
/*     */ import org.w3c.css.sac.ConditionFactory;
/*     */ import org.w3c.css.sac.ContentCondition;
/*     */ import org.w3c.css.sac.LangCondition;
/*     */ import org.w3c.css.sac.NegativeCondition;
/*     */ import org.w3c.css.sac.PositionalCondition;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSConditionFactory
/*     */   implements ConditionFactory
/*     */ {
/*     */   protected String classNamespaceURI;
/*     */   protected String classLocalName;
/*     */   protected String idNamespaceURI;
/*     */   protected String idLocalName;
/*     */   
/*     */   public CSSConditionFactory(String cns, String cln, String idns, String idln) {
/*  66 */     this.classNamespaceURI = cns;
/*  67 */     this.classLocalName = cln;
/*  68 */     this.idNamespaceURI = idns;
/*  69 */     this.idLocalName = idln;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  79 */   public CombinatorCondition createAndCondition(Condition first, Condition second) throws CSSException { return new CSSAndCondition(first, second); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  89 */   public CombinatorCondition createOrCondition(Condition first, Condition second) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  98 */   public NegativeCondition createNegativeCondition(Condition condition) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 109 */   public PositionalCondition createPositionalCondition(int position, boolean typeNode, boolean type) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 121 */   public AttributeCondition createAttributeCondition(String localName, String namespaceURI, boolean specified, String value) throws CSSException { return new CSSAttributeCondition(localName, namespaceURI, specified, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 131 */   public AttributeCondition createIdCondition(String value) throws CSSException { return new CSSIdCondition(this.idNamespaceURI, this.idLocalName, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 139 */   public LangCondition createLangCondition(String lang) throws CSSException { return new CSSLangCondition(lang); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 151 */   public AttributeCondition createOneOfAttributeCondition(String localName, String nsURI, boolean specified, String value) throws CSSException { return new CSSOneOfAttributeCondition(localName, nsURI, specified, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 165 */   public AttributeCondition createBeginHyphenAttributeCondition(String localName, String namespaceURI, boolean specified, String value) throws CSSException { return new CSSBeginHyphenAttributeCondition(localName, namespaceURI, specified, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 176 */   public AttributeCondition createClassCondition(String namespaceURI, String value) throws CSSException { return new CSSClassCondition(this.classLocalName, this.classNamespaceURI, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 186 */   public AttributeCondition createPseudoClassCondition(String namespaceURI, String value) throws CSSException { return new CSSPseudoClassCondition(namespaceURI, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 194 */   public Condition createOnlyChildCondition() throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 202 */   public Condition createOnlyTypeCondition() throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 211 */   public ContentCondition createContentCondition(String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\sac\CSSConditionFactory.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */