/*     */ package org.apache.batik.css.engine.sac;
/*     */ 
/*     */ import org.w3c.css.sac.CSSException;
/*     */ import org.w3c.css.sac.CharacterDataSelector;
/*     */ import org.w3c.css.sac.Condition;
/*     */ import org.w3c.css.sac.ConditionalSelector;
/*     */ import org.w3c.css.sac.DescendantSelector;
/*     */ import org.w3c.css.sac.ElementSelector;
/*     */ import org.w3c.css.sac.NegativeSelector;
/*     */ import org.w3c.css.sac.ProcessingInstructionSelector;
/*     */ import org.w3c.css.sac.Selector;
/*     */ import org.w3c.css.sac.SelectorFactory;
/*     */ import org.w3c.css.sac.SiblingSelector;
/*     */ import org.w3c.css.sac.SimpleSelector;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSSelectorFactory
/*     */   implements SelectorFactory
/*     */ {
/*  45 */   public static final SelectorFactory INSTANCE = new CSSSelectorFactory();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  61 */   public ConditionalSelector createConditionalSelector(SimpleSelector selector, Condition condition) throws CSSException { return new CSSConditionalSelector(selector, condition); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  69 */   public SimpleSelector createAnyNodeSelector() throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  77 */   public SimpleSelector createRootNodeSelector() throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  86 */   public NegativeSelector createNegativeSelector(SimpleSelector selector) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   public ElementSelector createElementSelector(String namespaceURI, String tagName) throws CSSException { return new CSSElementSelector(namespaceURI, tagName); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 105 */   public CharacterDataSelector createTextNodeSelector(String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 114 */   public CharacterDataSelector createCDataSectionSelector(String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 124 */   public ProcessingInstructionSelector createProcessingInstructionSelector(String target, String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 133 */   public CharacterDataSelector createCommentSelector(String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 143 */   public ElementSelector createPseudoElementSelector(String namespaceURI, String pseudoName) throws CSSException { return new CSSPseudoElementSelector(namespaceURI, pseudoName); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 154 */   public DescendantSelector createDescendantSelector(Selector parent, SimpleSelector descendant) throws CSSException { return new CSSDescendantSelector(parent, descendant); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 164 */   public DescendantSelector createChildSelector(Selector parent, SimpleSelector child) throws CSSException { return new CSSChildSelector(parent, child); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 176 */   public SiblingSelector createDirectAdjacentSelector(short nodeType, Selector child, SimpleSelector directAdjacent) throws CSSException { return new CSSDirectAdjacentSelector(nodeType, child, directAdjacent); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\sac\CSSSelectorFactory.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */