/*     */ package org.apache.batik.css.engine.value.css2;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSContext;
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.CSSStylableElement;
/*     */ import org.apache.batik.css.engine.StyleMap;
/*     */ import org.apache.batik.css.engine.value.AbstractValueManager;
/*     */ import org.apache.batik.css.engine.value.ListValue;
/*     */ import org.apache.batik.css.engine.value.StringMap;
/*     */ import org.apache.batik.css.engine.value.StringValue;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.apache.batik.css.engine.value.ValueConstants;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FontFamilyManager
/*     */   extends AbstractValueManager
/*     */ {
/*  50 */   protected static final ListValue DEFAULT_VALUE = new ListValue(); protected static final StringMap values;
/*     */   static  {
/*  52 */     DEFAULT_VALUE.append(new StringValue((short)19, "Arial"));
/*     */ 
/*     */     
/*  55 */     DEFAULT_VALUE.append(new StringValue((short)19, "Helvetica"));
/*     */ 
/*     */     
/*  58 */     DEFAULT_VALUE.append(new StringValue((short)21, "sans-serif"));
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  66 */     values = new StringMap();
/*     */     
/*  68 */     values.put("cursive", ValueConstants.CURSIVE_VALUE);
/*     */     
/*  70 */     values.put("fantasy", ValueConstants.FANTASY_VALUE);
/*     */     
/*  72 */     values.put("monospace", ValueConstants.MONOSPACE_VALUE);
/*     */     
/*  74 */     values.put("serif", ValueConstants.SERIF_VALUE);
/*     */     
/*  76 */     values.put("sans-serif", ValueConstants.SANS_SERIF_VALUE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  84 */   public boolean isInheritedProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  91 */   public boolean isAnimatableProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  98 */   public boolean isAdditiveProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 105 */   public int getPropertyType() { return 26; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 112 */   public String getPropertyName() { return "font-family"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 119 */   public Value getDefaultValue() { return DEFAULT_VALUE; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createValue(LexicalUnit lu, CSSEngine engine) throws DOMException {
/* 127 */     switch (lu.getLexicalUnitType()) {
/*     */       case 12:
/* 129 */         return ValueConstants.INHERIT_VALUE;
/*     */       
/*     */       default:
/* 132 */         throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */       
/*     */       case 35:
/*     */       case 36:
/*     */         break;
/*     */     } 
/* 138 */     ListValue result = new ListValue(); do {
/*     */       Value v; String s, id; StringBuffer sb;
/* 140 */       switch (lu.getLexicalUnitType()) {
/*     */         case 36:
/* 142 */           result.append(new StringValue((short)19, lu.getStringValue()));
/*     */           
/* 144 */           lu = lu.getNextLexicalUnit();
/*     */           break;
/*     */         
/*     */         case 35:
/* 148 */           sb = new StringBuffer(lu.getStringValue());
/* 149 */           lu = lu.getNextLexicalUnit();
/* 150 */           if (lu != null && lu.getLexicalUnitType() == 35) {
/*     */             
/*     */             do {
/* 153 */               sb.append(' ');
/* 154 */               sb.append(lu.getStringValue());
/* 155 */               lu = lu.getNextLexicalUnit();
/*     */             }
/* 157 */             while (lu != null && lu.getLexicalUnitType() == 35);
/* 158 */             result.append(new StringValue((short)19, sb.toString()));
/*     */             break;
/*     */           } 
/* 161 */           id = sb.toString();
/* 162 */           s = id.toLowerCase().intern();
/* 163 */           v = (Value)values.get(s);
/* 164 */           result.append((v != null) ? v : new StringValue((short)19, id));
/*     */           break;
/*     */       } 
/*     */ 
/*     */ 
/*     */       
/* 170 */       if (lu == null) {
/* 171 */         return result;
/*     */       }
/* 173 */       if (lu.getLexicalUnitType() != 0) {
/* 174 */         throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */       }
/*     */       
/* 177 */       lu = lu.getNextLexicalUnit();
/* 178 */     } while (lu != null);
/* 179 */     throw createMalformedLexicalUnitDOMException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value computeValue(CSSStylableElement elt, String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value) {
/* 194 */     if (value == DEFAULT_VALUE) {
/* 195 */       CSSContext ctx = engine.getCSSContext();
/* 196 */       value = ctx.getDefaultFontFamily();
/*     */     } 
/* 198 */     return value;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\css2\FontFamilyManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */