/*     */ package org.apache.batik.css.engine.value.css2;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.value.AbstractValueFactory;
/*     */ import org.apache.batik.css.engine.value.IdentifierManager;
/*     */ import org.apache.batik.css.engine.value.ListValue;
/*     */ import org.apache.batik.css.engine.value.StringMap;
/*     */ import org.apache.batik.css.engine.value.StringValue;
/*     */ import org.apache.batik.css.engine.value.URIValue;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.apache.batik.css.engine.value.ValueConstants;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class SrcManager
/*     */   extends IdentifierManager
/*     */ {
/*  50 */   protected static final StringMap values = new StringMap();
/*     */   static  {
/*  52 */     values.put("none", ValueConstants.NONE_VALUE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  64 */   public boolean isInheritedProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  71 */   public boolean isAnimatableProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  78 */   public boolean isAdditiveProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  85 */   public int getPropertyType() { return 38; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  93 */   public String getPropertyName() { return "src"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 101 */   public Value getDefaultValue() { return ValueConstants.NONE_VALUE; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createValue(LexicalUnit lu, CSSEngine engine) throws DOMException {
/* 111 */     switch (lu.getLexicalUnitType()) {
/*     */       case 12:
/* 113 */         return ValueConstants.INHERIT_VALUE;
/*     */       
/*     */       default:
/* 116 */         throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */       
/*     */       case 24:
/*     */       case 35:
/*     */       case 36:
/*     */         break;
/*     */     } 
/*     */     
/* 124 */     ListValue result = new ListValue(); do {
/*     */       Value v; String s, id; StringBuffer sb; String uri;
/* 126 */       switch (lu.getLexicalUnitType()) {
/*     */         case 36:
/* 128 */           result.append(new StringValue((short)19, lu.getStringValue()));
/*     */           
/* 130 */           lu = lu.getNextLexicalUnit();
/*     */           break;
/*     */         
/*     */         case 24:
/* 134 */           uri = AbstractValueFactory.resolveURI(engine.getCSSBaseURI(), lu.getStringValue());
/*     */ 
/*     */           
/* 137 */           result.append(new URIValue(lu.getStringValue(), uri));
/* 138 */           lu = lu.getNextLexicalUnit();
/* 139 */           if (lu != null && lu.getLexicalUnitType() == 41) {
/*     */             
/* 141 */             if (!lu.getFunctionName().equalsIgnoreCase("format")) {
/*     */               break;
/*     */             }
/*     */ 
/*     */ 
/*     */ 
/*     */             
/* 148 */             lu = lu.getNextLexicalUnit();
/*     */           } 
/*     */           break;
/*     */         
/*     */         case 35:
/* 153 */           sb = new StringBuffer(lu.getStringValue());
/* 154 */           lu = lu.getNextLexicalUnit();
/* 155 */           if (lu != null && lu.getLexicalUnitType() == 35) {
/*     */             
/*     */             do {
/* 158 */               sb.append(' ');
/* 159 */               sb.append(lu.getStringValue());
/* 160 */               lu = lu.getNextLexicalUnit();
/*     */             }
/* 162 */             while (lu != null && lu.getLexicalUnitType() == 35);
/* 163 */             result.append(new StringValue((short)19, sb.toString()));
/*     */             break;
/*     */           } 
/* 166 */           id = sb.toString();
/* 167 */           s = id.toLowerCase().intern();
/* 168 */           v = (Value)values.get(s);
/* 169 */           result.append((v != null) ? v : new StringValue((short)19, id));
/*     */           break;
/*     */       } 
/*     */ 
/*     */ 
/*     */ 
/*     */       
/* 176 */       if (lu == null) {
/* 177 */         return result;
/*     */       }
/* 179 */       if (lu.getLexicalUnitType() != 0) {
/* 180 */         throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */       }
/*     */       
/* 183 */       lu = lu.getNextLexicalUnit();
/* 184 */     } while (lu != null);
/* 185 */     throw createMalformedLexicalUnitDOMException();
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 194 */   public StringMap getIdentifiers() { return values; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\css2\SrcManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */