/*     */ package org.apache.batik.css.engine.value.css2;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.value.AbstractValueManager;
/*     */ import org.apache.batik.css.engine.value.ListValue;
/*     */ import org.apache.batik.css.engine.value.StringMap;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.apache.batik.css.engine.value.ValueConstants;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class TextDecorationManager
/*     */   extends AbstractValueManager
/*     */ {
/*  45 */   protected static final StringMap values = new StringMap();
/*     */   static  {
/*  47 */     values.put("blink", ValueConstants.BLINK_VALUE);
/*     */     
/*  49 */     values.put("line-through", ValueConstants.LINE_THROUGH_VALUE);
/*     */     
/*  51 */     values.put("overline", ValueConstants.OVERLINE_VALUE);
/*     */     
/*  53 */     values.put("underline", ValueConstants.UNDERLINE_VALUE);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  61 */   public boolean isInheritedProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  68 */   public boolean isAnimatableProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  75 */   public boolean isAdditiveProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  82 */   public int getPropertyType() { return 18; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  89 */   public String getPropertyName() { return "text-decoration"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   public Value getDefaultValue() { return ValueConstants.NONE_VALUE; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createValue(LexicalUnit lu, CSSEngine engine) throws DOMException {
/*     */     ListValue lv;
/* 104 */     switch (lu.getLexicalUnitType()) {
/*     */       case 12:
/* 106 */         return ValueConstants.INHERIT_VALUE;
/*     */       
/*     */       case 35:
/* 109 */         if (lu.getStringValue().equalsIgnoreCase("none"))
/*     */         {
/* 111 */           return ValueConstants.NONE_VALUE;
/*     */         }
/* 113 */         lv = new ListValue(' ');
/*     */         do {
/* 115 */           if (lu.getLexicalUnitType() == 35) {
/* 116 */             String s = lu.getStringValue().toLowerCase().intern();
/* 117 */             Object obj = values.get(s);
/* 118 */             if (obj == null) {
/* 119 */               throw createInvalidIdentifierDOMException(lu.getStringValue());
/*     */             }
/*     */             
/* 122 */             lv.append((Value)obj);
/* 123 */             lu = lu.getNextLexicalUnit();
/*     */           } else {
/* 125 */             throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */           }
/*     */         
/*     */         }
/* 129 */         while (lu != null);
/* 130 */         return lv;
/*     */     } 
/* 132 */     throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createStringValue(short type, String value, CSSEngine engine) throws DOMException {
/* 142 */     if (type != 21) {
/* 143 */       throw createInvalidStringTypeDOMException(type);
/*     */     }
/* 145 */     if (!value.equalsIgnoreCase("none")) {
/* 146 */       throw createInvalidIdentifierDOMException(value);
/*     */     }
/* 148 */     return ValueConstants.NONE_VALUE;
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\css2\TextDecorationManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */