/*     */ package org.apache.batik.css.engine.value.svg;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.CSSStylableElement;
/*     */ import org.apache.batik.css.engine.StyleMap;
/*     */ import org.apache.batik.css.engine.value.LengthManager;
/*     */ import org.apache.batik.css.engine.value.ListValue;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.apache.batik.css.engine.value.ValueConstants;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class StrokeDasharrayManager
/*     */   extends LengthManager
/*     */ {
/*  48 */   public boolean isInheritedProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  55 */   public boolean isAnimatableProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  62 */   public boolean isAdditiveProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  69 */   public int getPropertyType() { return 34; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  76 */   public String getPropertyName() { return "stroke-dasharray"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  83 */   public Value getDefaultValue() { return ValueConstants.NONE_VALUE; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createValue(LexicalUnit lu, CSSEngine engine) throws DOMException {
/*  91 */     switch (lu.getLexicalUnitType()) {
/*     */       case 12:
/*  93 */         return ValueConstants.INHERIT_VALUE;
/*     */       
/*     */       case 35:
/*  96 */         if (lu.getStringValue().equalsIgnoreCase("none"))
/*     */         {
/*  98 */           return ValueConstants.NONE_VALUE;
/*     */         }
/* 100 */         throw createInvalidIdentifierDOMException(lu.getStringValue());
/*     */     } 
/*     */     
/* 103 */     ListValue lv = new ListValue(' ');
/*     */     do {
/* 105 */       Value v = super.createValue(lu, engine);
/* 106 */       lv.append(v);
/* 107 */       lu = lu.getNextLexicalUnit();
/* 108 */       if (lu == null || lu.getLexicalUnitType() != 0) {
/*     */         continue;
/*     */       }
/* 111 */       lu = lu.getNextLexicalUnit();
/*     */     }
/* 113 */     while (lu != null);
/* 114 */     return lv;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createStringValue(short type, String value, CSSEngine engine) throws DOMException {
/* 124 */     if (type != 21) {
/* 125 */       throw createInvalidStringTypeDOMException(type);
/*     */     }
/* 127 */     if (value.equalsIgnoreCase("none")) {
/* 128 */       return ValueConstants.NONE_VALUE;
/*     */     }
/* 130 */     throw createInvalidIdentifierDOMException(value);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value computeValue(CSSStylableElement elt, String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value) {
/* 143 */     switch (value.getCssValueType()) {
/*     */       case 1:
/* 145 */         return value;
/*     */     } 
/*     */     
/* 148 */     ListValue lv = (ListValue)value;
/* 149 */     ListValue result = new ListValue(' ');
/* 150 */     for (int i = 0; i < lv.getLength(); i++) {
/* 151 */       result.append(super.computeValue(elt, pseudo, engine, idx, sm, lv.item(i)));
/*     */     }
/*     */     
/* 154 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 162 */   protected int getOrientation() { return 2; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\svg\StrokeDasharrayManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */