/*     */ package org.apache.batik.css.engine.value.svg12;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.CSSStylableElement;
/*     */ import org.apache.batik.css.engine.StyleMap;
/*     */ import org.apache.batik.css.engine.value.FloatValue;
/*     */ import org.apache.batik.css.engine.value.LengthManager;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.apache.batik.css.engine.value.ValueConstants;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class LineHeightManager
/*     */   extends LengthManager
/*     */ {
/*  51 */   public boolean isInheritedProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  58 */   public boolean isAnimatableProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  65 */   public boolean isAdditiveProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  72 */   public int getPropertyType() { return 43; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  79 */   public String getPropertyName() { return "line-height"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  86 */   public Value getDefaultValue() { return SVG12ValueConstants.NORMAL_VALUE; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createValue(LexicalUnit lu, CSSEngine engine) throws DOMException {
/*     */     String s;
/*  95 */     switch (lu.getLexicalUnitType()) {
/*     */       case 12:
/*  97 */         return ValueConstants.INHERIT_VALUE;
/*     */       case 35:
/*  99 */         s = lu.getStringValue().toLowerCase();
/* 100 */         if ("normal".equals(s))
/* 101 */           return SVG12ValueConstants.NORMAL_VALUE; 
/* 102 */         throw createInvalidIdentifierDOMException(lu.getStringValue());
/*     */     } 
/*     */     
/* 105 */     return super.createValue(lu, engine);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 116 */   protected int getOrientation() { return 1; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value computeValue(CSSStylableElement elt, String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value) {
/*     */     float fs;
/*     */     int fsidx;
/*     */     float v;
/* 130 */     if (value.getCssValueType() != 1) {
/* 131 */       return value;
/*     */     }
/* 133 */     switch (value.getPrimitiveType()) {
/*     */       case 1:
/* 135 */         return new LineHeightValue((short)1, value.getFloatValue(), true);
/*     */ 
/*     */       
/*     */       case 2:
/* 139 */         v = value.getFloatValue();
/* 140 */         fsidx = engine.getFontSizeIndex();
/* 141 */         fs = engine.getComputedStyle(elt, pseudo, fsidx).getFloatValue();
/*     */         
/* 143 */         return new FloatValue((short)1, v * fs * 0.01F);
/*     */     } 
/*     */ 
/*     */     
/* 147 */     return super.computeValue(elt, pseudo, engine, idx, sm, value);
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\svg12\LineHeightManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */