/*     */ package org.apache.batik.css.parser;
/*     */ 
/*     */ import org.w3c.css.sac.AttributeCondition;
/*     */ import org.w3c.css.sac.CSSException;
/*     */ import org.w3c.css.sac.CombinatorCondition;
/*     */ import org.w3c.css.sac.Condition;
/*     */ import org.w3c.css.sac.ConditionFactory;
/*     */ import org.w3c.css.sac.ContentCondition;
/*     */ import org.w3c.css.sac.LangCondition;
/*     */ import org.w3c.css.sac.NegativeCondition;
/*     */ import org.w3c.css.sac.PositionalCondition;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DefaultConditionFactory
/*     */   implements ConditionFactory
/*     */ {
/*  45 */   public static final ConditionFactory INSTANCE = new DefaultConditionFactory();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  61 */   public CombinatorCondition createAndCondition(Condition first, Condition second) throws CSSException { return new DefaultAndCondition(first, second); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  71 */   public CombinatorCondition createOrCondition(Condition first, Condition second) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  80 */   public NegativeCondition createNegativeCondition(Condition condition) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  91 */   public PositionalCondition createPositionalCondition(int position, boolean typeNode, boolean type) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   public AttributeCondition createAttributeCondition(String localName, String namespaceURI, boolean specified, String value) throws CSSException { return new DefaultAttributeCondition(localName, namespaceURI, specified, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 113 */   public AttributeCondition createIdCondition(String value) throws CSSException { return new DefaultIdCondition(value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 121 */   public LangCondition createLangCondition(String lang) throws CSSException { return new DefaultLangCondition(lang); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 133 */   public AttributeCondition createOneOfAttributeCondition(String localName, String nsURI, boolean specified, String value) throws CSSException { return new DefaultOneOfAttributeCondition(localName, nsURI, specified, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 147 */   public AttributeCondition createBeginHyphenAttributeCondition(String localName, String namespaceURI, boolean specified, String value) throws CSSException { return new DefaultBeginHyphenAttributeCondition(localName, namespaceURI, specified, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 158 */   public AttributeCondition createClassCondition(String namespaceURI, String value) throws CSSException { return new DefaultClassCondition(namespaceURI, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 168 */   public AttributeCondition createPseudoClassCondition(String namespaceURI, String value) throws CSSException { return new DefaultPseudoClassCondition(namespaceURI, value); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 176 */   public Condition createOnlyChildCondition() throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 184 */   public Condition createOnlyTypeCondition() throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 193 */   public ContentCondition createContentCondition(String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\parser\DefaultConditionFactory.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */