/*     */ package org.apache.batik.css.parser;
/*     */ 
/*     */ import org.w3c.css.sac.CSSException;
/*     */ import org.w3c.css.sac.CharacterDataSelector;
/*     */ import org.w3c.css.sac.Condition;
/*     */ import org.w3c.css.sac.ConditionalSelector;
/*     */ import org.w3c.css.sac.DescendantSelector;
/*     */ import org.w3c.css.sac.ElementSelector;
/*     */ import org.w3c.css.sac.NegativeSelector;
/*     */ import org.w3c.css.sac.ProcessingInstructionSelector;
/*     */ import org.w3c.css.sac.Selector;
/*     */ import org.w3c.css.sac.SelectorFactory;
/*     */ import org.w3c.css.sac.SiblingSelector;
/*     */ import org.w3c.css.sac.SimpleSelector;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class DefaultSelectorFactory
/*     */   implements SelectorFactory
/*     */ {
/*  46 */   public static final SelectorFactory INSTANCE = new DefaultSelectorFactory();
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  63 */   public ConditionalSelector createConditionalSelector(SimpleSelector selector, Condition condition) throws CSSException { return new DefaultConditionalSelector(selector, condition); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  71 */   public SimpleSelector createAnyNodeSelector() throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  79 */   public SimpleSelector createRootNodeSelector() throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  88 */   public NegativeSelector createNegativeSelector(SimpleSelector selector) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  98 */   public ElementSelector createElementSelector(String namespaceURI, String tagName) throws CSSException { return new DefaultElementSelector(namespaceURI, tagName); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 107 */   public CharacterDataSelector createTextNodeSelector(String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 116 */   public CharacterDataSelector createCDataSectionSelector(String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 126 */   public ProcessingInstructionSelector createProcessingInstructionSelector(String target, String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 135 */   public CharacterDataSelector createCommentSelector(String data) throws CSSException { throw new CSSException("Not implemented in CSS2"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 145 */   public ElementSelector createPseudoElementSelector(String namespaceURI, String pseudoName) throws CSSException { return new DefaultPseudoElementSelector(namespaceURI, pseudoName); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 156 */   public DescendantSelector createDescendantSelector(Selector parent, SimpleSelector descendant) throws CSSException { return new DefaultDescendantSelector(parent, descendant); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 166 */   public DescendantSelector createChildSelector(Selector parent, SimpleSelector child) throws CSSException { return new DefaultChildSelector(parent, child); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 178 */   public SiblingSelector createDirectAdjacentSelector(short nodeType, Selector child, SimpleSelector directAdjacent) throws CSSException { return new DefaultDirectAdjacentSelector(nodeType, child, directAdjacent); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\parser\DefaultSelectorFactory.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */