/*     */ package org.apache.batik.css.parser;
/*     */ 
/*     */ import java.io.IOException;
/*     */ import java.io.StringReader;
/*     */ import java.util.Locale;
/*     */ import java.util.StringTokenizer;
/*     */ import org.w3c.css.sac.CSSException;
/*     */ import org.w3c.css.sac.ConditionFactory;
/*     */ import org.w3c.css.sac.DocumentHandler;
/*     */ import org.w3c.css.sac.ErrorHandler;
/*     */ import org.w3c.css.sac.InputSource;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.css.sac.Parser;
/*     */ import org.w3c.css.sac.SACMediaList;
/*     */ import org.w3c.css.sac.SelectorFactory;
/*     */ import org.w3c.css.sac.SelectorList;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ExtendedParserWrapper
/*     */   implements ExtendedParser
/*     */ {
/*     */   public Parser parser;
/*     */   
/*     */   public static ExtendedParser wrap(Parser p) {
/*  55 */     if (p instanceof ExtendedParser) {
/*  56 */       return (ExtendedParser)p;
/*     */     }
/*  58 */     return new ExtendedParserWrapper(p);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  65 */   public ExtendedParserWrapper(Parser parser) { this.parser = parser; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  72 */   public String getParserVersion() { return this.parser.getParserVersion(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  79 */   public void setLocale(Locale locale) throws CSSException { this.parser.setLocale(locale); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  87 */   public void setDocumentHandler(DocumentHandler handler) { this.parser.setDocumentHandler(handler); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  95 */   public void setSelectorFactory(SelectorFactory selectorFactory) { this.parser.setSelectorFactory(selectorFactory); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   public void setConditionFactory(ConditionFactory conditionFactory) { this.parser.setConditionFactory(conditionFactory); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 111 */   public void setErrorHandler(ErrorHandler handler) { this.parser.setErrorHandler(handler); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 120 */   public void parseStyleSheet(InputSource source) throws CSSException, IOException { this.parser.parseStyleSheet(source); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 145 */   public void parseStyleSheet(String uri) throws CSSException, IOException { this.parser.parseStyleSheet(uri); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 154 */   public void parseStyleDeclaration(InputSource source) throws CSSException, IOException { this.parser.parseStyleDeclaration(source); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 169 */   public void parseStyleDeclaration(String source) throws CSSException, IOException { this.parser.parseStyleDeclaration(new InputSource(new StringReader(source))); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 179 */   public void parseRule(InputSource source) throws CSSException, IOException { this.parser.parseRule(source); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 192 */   public void parseRule(String source) throws CSSException, IOException { this.parser.parseRule(new InputSource(new StringReader(source))); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 200 */   public SelectorList parseSelectors(InputSource source) throws CSSException, IOException { return this.parser.parseSelectors(source); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 215 */   public SelectorList parseSelectors(String source) throws CSSException, IOException { return this.parser.parseSelectors(new InputSource(new StringReader(source))); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 226 */   public LexicalUnit parsePropertyValue(InputSource source) throws CSSException, IOException { return this.parser.parsePropertyValue(source); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 241 */   public LexicalUnit parsePropertyValue(String source) throws CSSException, IOException { return this.parser.parsePropertyValue(new InputSource(new StringReader(source))); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 252 */   public boolean parsePriority(InputSource source) throws CSSException, IOException { return this.parser.parsePriority(source); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public SACMediaList parseMedia(String mediaText) throws CSSException, IOException {
/* 260 */     CSSSACMediaList result = new CSSSACMediaList();
/* 261 */     if (!"all".equalsIgnoreCase(mediaText)) {
/* 262 */       StringTokenizer st = new StringTokenizer(mediaText, " ,");
/* 263 */       while (st.hasMoreTokens()) {
/* 264 */         result.append(st.nextToken());
/*     */       }
/*     */     } 
/* 267 */     return result;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 282 */   public boolean parsePriority(String source) throws CSSException, IOException { return this.parser.parsePriority(new InputSource(new StringReader(source))); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\parser\ExtendedParserWrapper.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */