/*     */ package org.apache.batik.css.dom;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.CSSStylableElement;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.w3c.dom.css.CSSValue;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSOMSVGComputedStyle
/*     */   extends CSSOMComputedStyle
/*     */ {
/*  43 */   public CSSOMSVGComputedStyle(CSSEngine e, CSSStylableElement elt, String pseudoElt) { super(e, elt, pseudoElt); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected CSSValue createCSSValue(int idx) {
/*  50 */     if (idx > 59) {
/*  51 */       if (this.cssEngine.getValueManagers()[idx] instanceof org.apache.batik.css.engine.value.svg.SVGPaintManager) {
/*  52 */         return new ComputedCSSPaintValue(this, idx);
/*     */       }
/*  54 */       if (this.cssEngine.getValueManagers()[idx] instanceof org.apache.batik.css.engine.value.svg.SVGColorManager) {
/*  55 */         return new ComputedCSSColorValue(this, idx);
/*     */       }
/*     */     } else {
/*  58 */       switch (idx) {
/*     */         case 15:
/*     */         case 45:
/*  61 */           return new ComputedCSSPaintValue(this, idx);
/*     */         
/*     */         case 19:
/*     */         case 33:
/*     */         case 43:
/*  66 */           return new ComputedCSSColorValue(this, idx);
/*     */       } 
/*     */     } 
/*  69 */     return super.createCSSValue(idx);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   protected class ComputedCSSColorValue
/*     */     extends CSSOMSVGColor
/*     */     implements CSSOMSVGColor.ValueProvider
/*     */   {
/*     */     protected int index;
/*     */ 
/*     */ 
/*     */     
/*     */     private final CSSOMSVGComputedStyle this$0;
/*     */ 
/*     */ 
/*     */     
/*     */     public ComputedCSSColorValue(CSSOMSVGComputedStyle this$0, int idx) {
/*  88 */       super(null); this.this$0 = this$0;
/*  89 */       this.valueProvider = this;
/*  90 */       this.index = idx;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*  97 */     public Value getValue() { return this.this$0.cssEngine.getComputedStyle(this.this$0.element, this.this$0.pseudoElement, this.index); }
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public class ComputedCSSPaintValue
/*     */     extends CSSOMSVGPaint
/*     */     implements CSSOMSVGColor.ValueProvider
/*     */   {
/*     */     protected int index;
/*     */ 
/*     */ 
/*     */     
/*     */     private final CSSOMSVGComputedStyle this$0;
/*     */ 
/*     */ 
/*     */ 
/*     */     
/*     */     public ComputedCSSPaintValue(CSSOMSVGComputedStyle this$0, int idx) {
/* 117 */       super(null); this.this$0 = this$0;
/* 118 */       this.valueProvider = this;
/* 119 */       this.index = idx;
/*     */     }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */     
/* 126 */     public Value getValue() { return this.this$0.cssEngine.getComputedStyle(this.this$0.element, this.this$0.pseudoElement, this.index); }
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\dom\CSSOMSVGComputedStyle.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */