/*     */ package org.apache.batik.css.dom;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.StyleDeclaration;
/*     */ import org.apache.batik.css.engine.StyleDeclarationProvider;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class CSSOMStoredStyleDeclaration
/*     */   extends CSSOMSVGStyleDeclaration
/*     */   implements CSSOMStyleDeclaration.ValueProvider, CSSOMStyleDeclaration.ModificationHandler, StyleDeclarationProvider
/*     */ {
/*     */   protected StyleDeclaration declaration;
/*     */   
/*     */   public CSSOMStoredStyleDeclaration(CSSEngine eng) {
/*  48 */     super(null, null, eng);
/*  49 */     this.valueProvider = this;
/*  50 */     setModificationHandler(this);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  57 */   public StyleDeclaration getStyleDeclaration() { return this.declaration; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  64 */   public void setStyleDeclaration(StyleDeclaration sd) { this.declaration = sd; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value getValue(String name) {
/*  73 */     int idx = this.cssEngine.getPropertyIndex(name);
/*  74 */     for (int i = 0; i < this.declaration.size(); i++) {
/*  75 */       if (idx == this.declaration.getIndex(i)) {
/*  76 */         return this.declaration.getValue(i);
/*     */       }
/*     */     } 
/*  79 */     return null;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean isImportant(String name) {
/*  86 */     int idx = this.cssEngine.getPropertyIndex(name);
/*  87 */     for (int i = 0; i < this.declaration.size(); i++) {
/*  88 */       if (idx == this.declaration.getIndex(i)) {
/*  89 */         return this.declaration.getPriority(i);
/*     */       }
/*     */     } 
/*  92 */     return false;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  99 */   public String getText() { return this.declaration.toString(this.cssEngine); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 106 */   public int getLength() { return this.declaration.size(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 113 */   public String item(int idx) { return this.cssEngine.getPropertyName(this.declaration.getIndex(idx)); }
/*     */   
/*     */   public abstract void propertyChanged(String paramString1, String paramString2, String paramString3) throws DOMException;
/*     */   
/*     */   public abstract void propertyRemoved(String paramString) throws DOMException;
/*     */   
/*     */   public abstract void textChanged(String paramString) throws DOMException;
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\dom\CSSOMStoredStyleDeclaration.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */