/*    */ package org.apache.batik.css.engine.sac;
/*    */ 
/*    */ import java.util.Set;
/*    */ import org.w3c.css.sac.DescendantSelector;
/*    */ import org.w3c.css.sac.Selector;
/*    */ import org.w3c.css.sac.SimpleSelector;
/*    */ import org.w3c.dom.Element;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public abstract class AbstractDescendantSelector
/*    */   implements DescendantSelector, ExtendedSelector
/*    */ {
/*    */   protected Selector ancestorSelector;
/*    */   protected SimpleSelector simpleSelector;
/*    */   
/*    */   protected AbstractDescendantSelector(Selector ancestor, SimpleSelector simple) {
/* 51 */     this.ancestorSelector = ancestor;
/* 52 */     this.simpleSelector = simple;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public boolean equals(Object obj) {
/* 60 */     if (obj == null || obj.getClass() != getClass()) {
/* 61 */       return false;
/*    */     }
/* 63 */     AbstractDescendantSelector s = (AbstractDescendantSelector)obj;
/* 64 */     return s.simpleSelector.equals(this.simpleSelector);
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 71 */   public int getSpecificity() { return ((ExtendedSelector)this.ancestorSelector).getSpecificity() + ((ExtendedSelector)this.simpleSelector).getSpecificity(); }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 80 */   public Selector getAncestorSelector() { return this.ancestorSelector; }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 88 */   public SimpleSelector getSimpleSelector() { return this.simpleSelector; }
/*    */   
/*    */   public abstract short getSelectorType();
/*    */   
/*    */   public abstract void fillAttributeSet(Set paramSet);
/*    */   
/*    */   public abstract boolean match(Element paramElement, String paramString);
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\sac\AbstractDescendantSelector.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */