/*     */ package org.apache.batik.css.engine.sac;
/*     */ 
/*     */ import java.util.Set;
/*     */ import org.w3c.dom.Element;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSAttributeCondition
/*     */   extends AbstractAttributeCondition
/*     */ {
/*     */   protected String localName;
/*     */   protected String namespaceURI;
/*     */   protected boolean specified;
/*     */   
/*     */   public CSSAttributeCondition(String localName, String namespaceURI, boolean specified, String value) {
/*  55 */     super(value);
/*  56 */     this.localName = localName;
/*  57 */     this.namespaceURI = namespaceURI;
/*  58 */     this.specified = specified;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object obj) {
/*  66 */     if (!super.equals(obj)) {
/*  67 */       return false;
/*     */     }
/*  69 */     CSSAttributeCondition c = (CSSAttributeCondition)obj;
/*  70 */     return (c.namespaceURI.equals(this.namespaceURI) && c.localName.equals(this.localName) && c.specified == this.specified);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  80 */   public int hashCode() { return this.namespaceURI.hashCode() ^ this.localName.hashCode() ^ (this.specified ? -1 : 0); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  90 */   public short getConditionType() { return 4; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  98 */   public String getNamespaceURI() { return this.namespaceURI; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 106 */   public String getLocalName() { return this.localName; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 114 */   public boolean getSpecified() { return this.specified; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean match(Element e, String pseudoE) {
/* 121 */     String val = getValue();
/* 122 */     if (val == null) {
/* 123 */       return !e.getAttribute(getLocalName()).equals("");
/*     */     }
/* 125 */     return e.getAttribute(getLocalName()).equals(val);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 132 */   public void fillAttributeSet(Set attrSet) { attrSet.add(this.localName); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public String toString() {
/* 139 */     if (this.value == null) {
/* 140 */       return '[' + this.localName + ']';
/*     */     }
/* 142 */     return '[' + this.localName + "=\"" + this.value + "\"]";
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\sac\CSSAttributeCondition.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */