/*     */ package org.apache.batik.css.engine.sac;
/*     */ 
/*     */ import java.util.Set;
/*     */ import org.w3c.css.sac.Condition;
/*     */ import org.w3c.css.sac.ConditionalSelector;
/*     */ import org.w3c.css.sac.SimpleSelector;
/*     */ import org.w3c.dom.Element;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSConditionalSelector
/*     */   implements ConditionalSelector, ExtendedSelector
/*     */ {
/*     */   protected SimpleSelector simpleSelector;
/*     */   protected Condition condition;
/*     */   
/*     */   public CSSConditionalSelector(SimpleSelector s, Condition c) {
/*  53 */     this.simpleSelector = s;
/*  54 */     this.condition = c;
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object obj) {
/*  62 */     if (obj == null || obj.getClass() != getClass()) {
/*  63 */       return false;
/*     */     }
/*  65 */     CSSConditionalSelector s = (CSSConditionalSelector)obj;
/*  66 */     return (s.simpleSelector.equals(this.simpleSelector) && s.condition.equals(this.condition));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  75 */   public short getSelectorType() { return 0; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  82 */   public boolean match(Element e, String pseudoE) { return (((ExtendedSelector)getSimpleSelector()).match(e, pseudoE) && ((ExtendedCondition)getCondition()).match(e, pseudoE)); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public void fillAttributeSet(Set attrSet) {
/*  90 */     ((ExtendedSelector)getSimpleSelector()).fillAttributeSet(attrSet);
/*  91 */     ((ExtendedCondition)getCondition()).fillAttributeSet(attrSet);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  98 */   public int getSpecificity() { return ((ExtendedSelector)getSimpleSelector()).getSpecificity() + ((ExtendedCondition)getCondition()).getSpecificity(); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 107 */   public SimpleSelector getSimpleSelector() { return this.simpleSelector; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 115 */   public Condition getCondition() { return this.condition; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 122 */   public String toString() { return String.valueOf(this.simpleSelector) + this.condition; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\sac\CSSConditionalSelector.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */