/*     */ package org.apache.batik.css.engine.sac;
/*     */ 
/*     */ import java.util.Set;
/*     */ import org.w3c.css.sac.LangCondition;
/*     */ import org.w3c.dom.Element;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class CSSLangCondition
/*     */   implements LangCondition, ExtendedCondition
/*     */ {
/*     */   protected String lang;
/*     */   protected String langHyphen;
/*     */   
/*     */   public CSSLangCondition(String lang) {
/*  53 */     this.lang = lang.toLowerCase();
/*  54 */     this.langHyphen = lang + '-';
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean equals(Object obj) {
/*  62 */     if (obj == null || obj.getClass() != getClass()) {
/*  63 */       return false;
/*     */     }
/*  65 */     CSSLangCondition c = (CSSLangCondition)obj;
/*  66 */     return c.lang.equals(this.lang);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  74 */   public short getConditionType() { return 6; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  81 */   public String getLang() { return this.lang; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  88 */   public int getSpecificity() { return 256; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public boolean match(Element e, String pseudoE) {
/*  95 */     String s = e.getAttribute("lang").toLowerCase();
/*  96 */     if (s.equals(this.lang) || s.startsWith(this.langHyphen)) {
/*  97 */       return true;
/*     */     }
/*  99 */     s = e.getAttributeNS("http://www.w3.org/XML/1998/namespace", "lang").toLowerCase();
/*     */     
/* 101 */     return (s.equals(this.lang) || s.startsWith(this.langHyphen));
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 108 */   public void fillAttributeSet(Set attrSet) { attrSet.add("lang"); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 115 */   public String toString() { return ":lang(" + this.lang + ')'; }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\sac\CSSLangCondition.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */