/*    */ package org.apache.batik.css.engine.value;
/*    */ 
/*    */ import org.w3c.dom.DOMException;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ public class FloatValue
/*    */   extends AbstractValue
/*    */ {
/*    */   public static String getCssText(short unit, float value) {
/* 36 */     if (unit < 0 || unit >= UNITS.length) {
/* 37 */       throw new DOMException((short)12, "");
/*    */     }
/* 39 */     String s = String.valueOf(value);
/* 40 */     if (s.endsWith(".0")) {
/* 41 */       s = s.substring(0, s.length() - 2);
/*    */     }
/* 43 */     return s + UNITS[unit - 1];
/*    */   }
/*    */ 
/*    */ 
/*    */   
/*    */   protected static final String[] UNITS = { 
/* 49 */       "", "%", "em", "ex", "px", "cm", "mm", "in", "pt", "pc", "deg", "rad", "grad", "ms", "s", "Hz", "kHz", "" };
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   protected float floatValue;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   protected short unitType;
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/*    */   public FloatValue(short unitType, float floatValue) {
/* 68 */     this.unitType = unitType;
/* 69 */     this.floatValue = floatValue;
/*    */   }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 76 */   public short getPrimitiveType() { return this.unitType; }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 83 */   public float getFloatValue() { return this.floatValue; }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 90 */   public String getCssText() { return getCssText(this.unitType, this.floatValue); }
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */ 
/*    */   
/* 97 */   public String toString() { return getCssText(); }
/*    */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\FloatValue.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */