/*     */ package org.apache.batik.css.engine.value.css2;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.value.AbstractValueManager;
/*     */ import org.apache.batik.css.engine.value.FloatValue;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.apache.batik.css.engine.value.ValueConstants;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class FontSizeAdjustManager
/*     */   extends AbstractValueManager
/*     */ {
/*  46 */   public boolean isInheritedProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  53 */   public boolean isAnimatableProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  60 */   public boolean isAdditiveProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  67 */   public int getPropertyType() { return 44; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  74 */   public String getPropertyName() { return "font-size-adjust"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  81 */   public Value getDefaultValue() { return ValueConstants.NONE_VALUE; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createValue(LexicalUnit lu, CSSEngine engine) throws DOMException {
/*  89 */     switch (lu.getLexicalUnitType()) {
/*     */       case 12:
/*  91 */         return ValueConstants.INHERIT_VALUE;
/*     */       
/*     */       case 13:
/*  94 */         return new FloatValue((short)1, lu.getIntegerValue());
/*     */ 
/*     */       
/*     */       case 14:
/*  98 */         return new FloatValue((short)1, lu.getFloatValue());
/*     */ 
/*     */       
/*     */       case 35:
/* 102 */         if (lu.getStringValue().equalsIgnoreCase("none"))
/*     */         {
/* 104 */           return ValueConstants.NONE_VALUE;
/*     */         }
/* 106 */         throw createInvalidIdentifierDOMException(lu.getStringValue());
/*     */     } 
/* 108 */     throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createStringValue(short type, String value, CSSEngine engine) throws DOMException {
/* 117 */     if (type != 21) {
/* 118 */       throw createInvalidStringTypeDOMException(type);
/*     */     }
/* 120 */     if (value.equalsIgnoreCase("none")) {
/* 121 */       return ValueConstants.NONE_VALUE;
/*     */     }
/* 123 */     throw createInvalidIdentifierDOMException(value);
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createFloatValue(short type, float floatValue) throws DOMException {
/* 131 */     if (type == 1) {
/* 132 */       return new FloatValue(type, floatValue);
/*     */     }
/* 134 */     throw createInvalidFloatTypeDOMException(type);
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\css2\FontSizeAdjustManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */