/*     */ package org.apache.batik.css.engine.value.svg;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.value.AbstractValueFactory;
/*     */ import org.apache.batik.css.engine.value.AbstractValueManager;
/*     */ import org.apache.batik.css.engine.value.StringValue;
/*     */ import org.apache.batik.css.engine.value.URIValue;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.apache.batik.css.engine.value.ValueConstants;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ColorProfileManager
/*     */   extends AbstractValueManager
/*     */ {
/*  45 */   public boolean isInheritedProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  52 */   public String getPropertyName() { return "color-profile"; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  59 */   public boolean isAnimatableProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  66 */   public boolean isAdditiveProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  73 */   public int getPropertyType() { return 20; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  80 */   public Value getDefaultValue() { return ValueConstants.AUTO_VALUE; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createValue(LexicalUnit lu, CSSEngine engine) throws DOMException {
/*     */     String s;
/*  88 */     switch (lu.getLexicalUnitType()) {
/*     */       case 12:
/*  90 */         return ValueConstants.INHERIT_VALUE;
/*     */       
/*     */       case 35:
/*  93 */         s = lu.getStringValue().toLowerCase();
/*  94 */         if (s.equals("auto")) {
/*  95 */           return ValueConstants.AUTO_VALUE;
/*     */         }
/*  97 */         if (s.equals("srgb")) {
/*  98 */           return SVGValueConstants.SRGB_VALUE;
/*     */         }
/* 100 */         return new StringValue((short)21, s);
/*     */       
/*     */       case 24:
/* 103 */         return new URIValue(lu.getStringValue(), AbstractValueFactory.resolveURI(engine.getCSSBaseURI(), lu.getStringValue()));
/*     */     } 
/*     */ 
/*     */     
/* 107 */     throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createStringValue(short type, String value, CSSEngine engine) throws DOMException {
/*     */     String s;
/* 116 */     switch (type) {
/*     */       case 21:
/* 118 */         s = value.toLowerCase();
/* 119 */         if (s.equals("auto")) {
/* 120 */           return ValueConstants.AUTO_VALUE;
/*     */         }
/* 122 */         if (s.equals("srgb")) {
/* 123 */           return SVGValueConstants.SRGB_VALUE;
/*     */         }
/* 125 */         return new StringValue((short)21, s);
/*     */       
/*     */       case 20:
/* 128 */         return new URIValue(value, AbstractValueFactory.resolveURI(engine.getCSSBaseURI(), value));
/*     */     } 
/*     */     
/* 131 */     throw createInvalidStringTypeDOMException(type);
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\svg\ColorProfileManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */