/*     */ package org.apache.batik.css.engine.value.svg;
/*     */ 
/*     */ import org.apache.batik.css.engine.CSSEngine;
/*     */ import org.apache.batik.css.engine.value.AbstractValueManager;
/*     */ import org.apache.batik.css.engine.value.FloatValue;
/*     */ import org.apache.batik.css.engine.value.Value;
/*     */ import org.apache.batik.css.engine.value.ValueConstants;
/*     */ import org.w3c.css.sac.LexicalUnit;
/*     */ import org.w3c.dom.DOMException;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public abstract class GlyphOrientationManager
/*     */   extends AbstractValueManager
/*     */ {
/*  45 */   public boolean isInheritedProperty() { return true; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  52 */   public boolean isAnimatableProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  59 */   public boolean isAdditiveProperty() { return false; }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  66 */   public int getPropertyType() { return 5; }
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createValue(LexicalUnit lu, CSSEngine engine) throws DOMException {
/*     */     float n;
/*     */     int n;
/*  74 */     switch (lu.getLexicalUnitType()) {
/*     */       case 12:
/*  76 */         return ValueConstants.INHERIT_VALUE;
/*     */       
/*     */       case 28:
/*  79 */         return new FloatValue((short)11, lu.getFloatValue());
/*     */ 
/*     */       
/*     */       case 29:
/*  83 */         return new FloatValue((short)13, lu.getFloatValue());
/*     */ 
/*     */       
/*     */       case 30:
/*  87 */         return new FloatValue((short)12, lu.getFloatValue());
/*     */ 
/*     */ 
/*     */ 
/*     */       
/*     */       case 13:
/*  93 */         n = lu.getIntegerValue();
/*  94 */         return new FloatValue((short)11, n);
/*     */ 
/*     */       
/*     */       case 14:
/*  98 */         n = lu.getFloatValue();
/*  99 */         return new FloatValue((short)11, n);
/*     */     } 
/*     */ 
/*     */     
/* 103 */     throw createInvalidLexicalUnitDOMException(lu.getLexicalUnitType());
/*     */   }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*     */   public Value createFloatValue(short type, float floatValue) throws DOMException {
/* 111 */     switch (type) {
/*     */       case 11:
/*     */       case 12:
/*     */       case 13:
/* 115 */         return new FloatValue(type, floatValue);
/*     */     } 
/* 117 */     throw createInvalidFloatValueDOMException(floatValue);
/*     */   }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\engine\value\svg\GlyphOrientationManager.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */