/*     */ package org.apache.batik.css.parser;
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ public class ScannerUtilities
/*     */ {
/*  33 */   protected static final int[] IDENTIFIER_START = { 0, 0, -2013265922, 134217726 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  39 */   protected static final int[] NAME = { 0, 67051520, -2013265922, 134217726 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  45 */   protected static final int[] HEXADECIMAL = { 0, 67043328, 126, 126 };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  51 */   protected static final int[] STRING = { 512, -133, -1, Integer.MAX_VALUE };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  57 */   protected static final int[] URI = { 0, -902, -1, Integer.MAX_VALUE };
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  70 */   public static boolean isCSSSpace(char c) { return (c <= ' ' && (4294981120L >> c & 0x1L) != 0L); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  82 */   public static boolean isCSSIdentifierStartCharacter(char c) { return (c >= '' || (IDENTIFIER_START[c >> '\005'] & '\001' << (c & 0x1F)) != 0); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  89 */   public static boolean isCSSNameCharacter(char c) { return (c >= '' || (NAME[c >> '\005'] & '\001' << (c & 0x1F)) != 0); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/*  96 */   public static boolean isCSSHexadecimalCharacter(char c) { return (c < '' && (HEXADECIMAL[c >> '\005'] & '\001' << (c & 0x1F)) != 0); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 103 */   public static boolean isCSSStringCharacter(char c) { return (c >= '' || (STRING[c >> '\005'] & '\001' << (c & 0x1F)) != 0); }
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */ 
/*     */   
/* 110 */   public static boolean isCSSURICharacter(char c) { return (c >= '' || (URI[c >> '\005'] & '\001' << (c & 0x1F)) != 0); }
/*     */ }


/* Location:              C:\Program Files (x86)\IBM\WebSphere\AppServer\profiles\ctgAppSrv01\installedApps\ctgCell01\MAXIMO.ear\maximouiweb.war\WEB-INF\classes\!\com\ibm\tivoli\maximo\report\control\svgtools\batik-css.jar!\org\apache\batik\css\parser\ScannerUtilities.class
 * Java compiler version: 1 (45.3)
 * JD-Core Version:       1.0.7
 */